// 'ThemeFlood' is the global object for ThemeFlood theme functions
var ThemeFlood = {};
// Reduce potential conflicts with other scripts on the page
ThemeFlood.jQuery = jQuery.noConflict(true);
var $ThemeFlood = ThemeFlood.jQuery;
// Create a unique object and namespace for theme functions
ThemeFlood.themeFunctions = {};
// Define a closure
ThemeFlood.themeFunctions = (function() {
  // When jQuery is used it will be available as $ and jQuery but only inside the closure
  var jQuery = ThemeFlood.jQuery;
  var $ = jQuery;
  var $ThemeFlood = jQuery.noConflict();

  // ExtraContent functionality
  $ThemeFlood(document).ready(function() {
    var extraContent = (function() {
      var ecValue = 20;
      for (i = 1; i <= ecValue; i++) {
        $ThemeFlood('#myExtraContent' + i + ' script').remove();
        $ThemeFlood('#myExtraContent' + i).appendTo('#extraContainer' + i);
      }
    })();

    // FreeStyle banners
    $ThemeFlood('#fs').appendTo('#freeStyle');
    $ThemeFlood("img[src$='banner.jpg'], img[src$='Banner.jpg'], img[src$='header.jpg'], img[src$='Header.jpg'], img[src$='freestyle.jpg'], img[src$='Freestyle.jpg'], img[src$='freestyle.jpg'], img[src$='FreeStyle.jpg']").appendTo('#freeStyle');

    // Function to apply unique class ID's onto each list, list item and suppress parent pages
    $ThemeFlood("#top_nav li").each(function(i) {
      i = i + 1;
      $ThemeFlood(this).addClass("link" + i);
    });
    $ThemeFlood("#top_nav ul").each(function(i) {
      i = i + 1;
      $ThemeFlood(this).addClass("list" + i);
    });

    // Links with a class of 'newtab' open in new tabs or windows
    $ThemeFlood('a.newtab').append("<span class='newWindowIcon'> <i class='fas fa-external-link-alt'></i></span>");
    $ThemeFlood('a.newtab').click(function() {
      window.open($(this).attr('href'));
      return false;
    });

    // If a touch device is detected, add 'touchDevice' class to the page
    if (/Android|webOS|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent)) {
      $ThemeFlood('body').addClass('RaftTouchDevice');
    }
  });
})(ThemeFlood.themeFunctions);
